Get metric details 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/{metric}/details

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • metric string Required

    Values are CalendarChanges, WorkingDayChanges, HourConflicts, or ExtendedNoWork.

Query parameters

  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • auditDate string(date)
    • friendlyId string
    • analysisItem string
    • analysis string
GET /project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/{metric}/details
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/{metric}/details' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "auditDate": "2026-05-04",
    "friendlyId": "string",
    "analysisItem": "string",
    "analysis": "string"
  }
]